%define oname ppx_assert
%global upstream_version 0.15.0

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 4
Summary:        Assert-like extension nodes that raise useful errors on failure

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{upstream_version}/%{oname}-%{upstream_version}.tar.gz

BuildRequires:  ocaml >= 4.04.2
BuildRequires:  ocaml-base-devel >= 0.15
BuildRequires:  ocaml-dune >= 2.0.0
#BuildRequires:  ocaml-odoc
BuildRequires:  ocaml-ppx_cold-devel >= 0.15
BuildRequires:  ocaml-ppx_compare-devel >= 0.15
BuildRequires:  ocaml-ppx_here-devel >= 0.15
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.15
BuildRequires:  ocaml-ppxlib-devel >= 0.23.0

%description
Assert-like extension nodes that raise useful errors on failure

Part of the Jane Street's PPX rewriters collection.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-ppx_cold-devel%{?_isa}
Requires:       ocaml-ppx_compare-devel%{?_isa}
Requires:       ocaml-ppx_here-devel%{?_isa}
Requires:       ocaml-ppx_sexp_conv-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{upstream_version} -p1

%build
dune build %{?_smp_mflags} --display=verbose --profile release

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%doc LICENSE.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/*.exe

%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*



%changelog
* Sun Dec 11 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1920687
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895936
- Rebuild for new ocaml-base and ocaml-ppxlib

* Fri May 20 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859346
- Rebuild for OCaml 4.14

* Fri May 13 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857927
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.0-0.git78f9989.5.mga9
+ Revision: 1845156
- Mageia 9 Mass Rebuild

* Thu Oct 14 2021 tv <tv> 1:0.14.0-0.git78f9989.4.mga9
+ Revision: 1751383
- Rebuild for ocaml 4.13.1

* Wed Oct 13 2021 tv <tv> 1:0.14.0-0.git78f9989.3.mga9
+ Revision: 1751239
- Rebuild for ocaml 4.13.1

* Mon Mar 22 2021 tv <tv> 1:0.14.0-0.git78f9989.2.mga9
+ Revision: 1707995
- Fix devel deps

* Sat Mar 20 2021 tv <tv> 1:0.14.0-0.git78f9989.1.mga9
+ Revision: 1705162
- add missing deps in devel pkg
- 0.14.0 + git fixes for OCaml 4.12

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670804
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551883
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545878
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485373
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483883
- BR ocaml-ppx_cold-devel
- BR devel pkgs for here & compare too
- BR ocaml-ppxlib-devel
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-0.mga7
+ Revision: 1324648
- Update to 0.11.0

* Sat Sep 29 2018 umeabot <umeabot> 1:0.10.0-5.mga7
+ Revision: 1310942
- Mageia 7 Mass Rebuild

* Wed Aug 29 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1255539
- rebuild for new ocaml-result 1.3

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242134
- rebuild against ocaml-sexplib

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241892
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193259
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 113.24.00-3.mga6
+ Revision: 1069783
- Rebuild against fixed ocaml

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 977420
- Rebuild for new sexplib

* Fri Feb 19 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 967589
- imported package ocaml-ppx_assert

